package cn.com.infosec.jce.provider;

import cn.com.infosec.jce.X509LDAPCertStoreParameters;
import cn.com.infosec.util.Selector;
import cn.com.infosec.x509.X509CertPairStoreSelector;
import cn.com.infosec.x509.X509StoreParameters;
import cn.com.infosec.x509.X509StoreSpi;
import cn.com.infosec.x509.util.LDAPStoreHelper;
import java.util.Collection;
import java.util.Collections;
import java.util.HashSet;

public class X509StoreLDAPCertPairs extends X509StoreSpi {
   private LDAPStoreHelper helper;

   public void engineInit(X509StoreParameters parameters) {
      if (parameters instanceof X509LDAPCertStoreParameters) {
         this.helper = new LDAPStoreHelper((X509LDAPCertStoreParameters)parameters);
      } else {
         throw new IllegalArgumentException("Initialization parameters must be an instance of " + X509LDAPCertStoreParameters.class.getName() + ".");
      }
   }

   public Collection engineGetMatches(Selector selector) {
      if (!(selector instanceof X509CertPairStoreSelector)) {
         return Collections.EMPTY_SET;
      } else {
         X509CertPairStoreSelector selector1 = (X509CertPairStoreSelector)selector;
         HashSet var10000 = new HashSet();
         var10000.addAll(this.helper.getCrossCertificatePairs(selector1));
         return var10000;
      }
   }
}
